﻿@model Memberships.Areas.Admin.Models.SmallButtonModel
@using Memberships.Areas.Admin.Models;

<td style="width:120px">
    <div class="btn-group" role="group">
        @Html.Partial("_SmallButtonPartial",
       new SmallButtonModel {
           Action="Edit",
           ButtonType="btn-primary",
           Glyph="pencil",
           Text= "Edit",
           Id=Model.Id,
           ItemId=Model.ItemId,
           ProductId=Model.ProductId,
           SubscriptionId=Model.SubscriptionId,
           UserId = Model.UserId

       })
        @Html.Partial("_SmallButtonPartial",
      new SmallButtonModel {
          Action="Subscriptions",
          ButtonType="btn-success",
          Glyph="list",
          Text= "Subscriptions",
          Id=Model.Id,
          ItemId=Model.ItemId,
          ProductId=Model.ProductId,
          SubscriptionId=Model.SubscriptionId,
          UserId = Model.UserId
      })
        @Html.Partial("_SmallButtonPartial",
      new SmallButtonModel {
          Action="Delete",
          ButtonType="btn-danger",
          Glyph="trash",
          Text= "Delete",
          Id=Model.Id,
          ItemId=Model.ItemId,
          ProductId=Model.ProductId,
          SubscriptionId=Model.SubscriptionId,
          UserId = Model.UserId
      })
    </div>
</td>
